Contents
WPLANY

Windows Play Any File - version 1.2 May 1995

Overview

Options

Installation

Troubleshooting

Bill Neisius

neisius@netcom.com


Overview

Windows Play Any File - version 1.2 May 1995

DESCRIPTION:

WPLANY will detect and play any sound file through a Windows 3.1 audio device.  The proper drivers for your sound card (or PC speaker) must be loaded prior to using WPLANY.

Currently supported sound types:

SoundBlaster .VOC

Sun/NeXT/DEC .AU

Windows .WAV

Sounder/Soundtools .SND

Apple/SGI .AIFF

Amiga .8SVX  .IFF

Stereo/Mono

8-bit/16-bit

ADPCM compressed

License

WPLANY is distributed as 'Freeware', for personal or non-commercial use.


Options

WPLANY input_file [-r speed] [-s] [-u] [-v]

input_file:	Name of Sound file to play. (Required)

WPLANY gets the parameters it needs by reading the header of the sound file.  The following options are provided to deal with headerless (raw) sound files:

-r:	set output rate (samples/sec)

-s:	sample is signed

-u:	sample is U_LAW

-v:	display sound file attributes

Examples:

WPLANY -?

WPLANY  -V  C:\WINDOWS\CHIMES.WAV

WPLANY  -V  -R 8000  C:\WINDOWS\CHIMES.WAV


Installation

To install WPLANY as a File Manager association:

Start File Manager

Copy WPLANY to a directory on your hard disk, for instance  C:\WINDOWS.

Select 'File' and 'Associate...'  from the File Manager menu bar.

 In the box 'Files with Extension:' enter 'AU'.

 Tab to the 'Associate With:' box and enter 'C:\WINDOWS\WPLANY'.

 Click on 'OK'

 Repeat for file extensions 'VOC', 'SND', 'WAV', etc

Usage:

To play a file, double-click on the file name in the File Manager window.

To stop a file currently playing, double-click on the file name again.

Testing:

If the installation is successful, clicking below will cause WPLANY to play a sound:

Test WPLANY (chimes.wav)

Using WPLANY with a Web browser

WPLANY can be used as a viewer for the following MIME types:

audio/basic

audio/wav

audio/x-wav

audio/x-aiff


Troubleshooting

The specified device is already in use.  Wait until it is free, and then try again

Another program has acquired the WAV device.  This is often caused by the use of utilities that play a sound when an application starts.  Try running WPLANY with the '-v' option to delay the start of the sound.

wplany.exe -v c:\windows\chimes.wav

A device ID has been used that is out of range for your system

No installed WAV devices were found on the system.  Check the installed drivers list.  If you're using the PC speaker for audio output, you'll need the PC speaker driver... available via ftp from ftp.cica.indiana.edu/pub/pc/win3/sounds/speak.exe

Sound only plays for about 3 seconds

If you're using the PC speaker for output, it's possible that the playback limit on the driver hasn't been set properly. Check the installed drivers list.; click the 'Setup' button for the PC speaker driver and set the playback limit to maximum